## GstGLSL GstGLSL — helpers for dealing with OpenGL shaders |

## Functions

GQuark | gst_glsl_error_quark ()
GstGLSLProfile | gst_glsl_profile_from_string ()
const gchar * | gst_glsl_profile_to_string ()
GstGLSLVersion | gst_glsl_version_from_string ()
const gchar * | gst_glsl_version_to_string ()
gboolean | gst_glsl_version_profile_from_string ()
gchar * | gst_glsl_version_profile_to_string ()
gboolean | gst_glsl_string_get_version_profile ()
gboolean | gst_gl_context_supports_glsl_profile_version ()
GstGLSLVersion | gst_gl_version_to_glsl_version ()

## Types and Values

#define | GST_GLSL_ERROR
enum | GstGLSLError
enum | GstGLSLProfile
enum | GstGLSLVersion

## Description

## Functions

### gst_glsl_error_quark ()

    GQuark
    gst_glsl_error_quark (void);

### gst_glsl_profile_from_string ()

    GstGLSLProfile
    gst_glsl_profile_from_string (const gchar *string);

### gst_glsl_profile_to_string ()

    const gchar *
    gst_glsl_profile_to_string (GstGLSLProfile profile);

### gst_glsl_version_from_string ()

    GstGLSLVersion
    gst_glsl_version_from_string (const gchar *string);

### gst_glsl_version_to_string ()

    const gchar *
    gst_glsl_version_to_string (GstGLSLVersion version);

### gst_glsl_version_profile_from_string ()

    gboolean
    gst_glsl_version_profile_from_string (const gchar *string,
                                          GstGLSLVersion *version,
                                          GstGLSLProfile *profile);

### gst_glsl_version_profile_to_string ()

    gchar *
    gst_glsl_version_profile_to_string (GstGLSLVersion version,
                                        GstGLSLProfile profile);

### gst_glsl_string_get_version_profile ()

    gboolean
    gst_glsl_string_get_version_profile (const gchar *s,
                                         GstGLSLVersion *version,
                                         GstGLSLProfile *profile);

### gst_gl_context_supports_glsl_profile_version ()

    gboolean
    gst_gl_context_supports_glsl_profile_version
                                   (GstGLContext *context,
                                    GstGLSLVersion version,
                                    GstGLSLProfile profile);

### gst_gl_version_to_glsl_version ()

    GstGLSLVersion
    gst_gl_version_to_glsl_version (GstGLAPI gl_api,
                                    gint maj,
                                    gint min);

## Types and Values

### GST_GLSL_ERROR

    #define GST_GLSL_ERROR (gst_glsl_error_quark ())

### enum GstGLSLError

Compilation stage that caused an error

#### Members

GST_GLSL_ERROR_COMPILE | Compilation error occured |
GST_GLSL_ERROR_LINK | Link error occured |
GST_GLSL_ERROR_PROGRAM | General program error occured |

Since: 1.8

### enum GstGLSLProfile

GLSL profiles

#### Members

GST_GLSL_PROFILE_NONE | no profile supported/available |
GST_GLSL_PROFILE_ES | OpenGL|ES profile |
GST_GLSL_PROFILE_CORE | OpenGL core profile |
GST_GLSL_PROFILE_COMPATIBILITY | OpenGL compatibility profile |
GST_GLSL_PROFILE_ANY | any OpenGL/OpenGL|ES profile |

Since: 1.8

### enum GstGLSLVersion

GLSL version list

#### Members

GST_GLSL_VERSION_NONE | no version |
GST_GLSL_VERSION_100 | version 100 (only valid for ES) |
GST_GLSL_VERSION_110 | version 110 (only valid for compatibility desktop GL) |
GST_GLSL_VERSION_120 | version 120 (only valid for compatibility desktop GL) |
GST_GLSL_VERSION_130 | version 130 (only valid for compatibility desktop GL) |
GST_GLSL_VERSION_140 | version 140 (only valid for compatibility desktop GL) |
GST_GLSL_VERSION_150 | version 150 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_300 | version 300 (only valid for ES) |
GST_GLSL_VERSION_310 | version 310 (only valid for ES) |
GST_GLSL_VERSION_320 | version 320 (only valid for ES) |
GST_GLSL_VERSION_330 | version 330 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_400 | version 400 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_410 | version 410 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_420 | version 420 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_430 | version 430 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_440 | version 440 (valid for compatibility/core desktop GL) |
GST_GLSL_VERSION_450 | version 450 (valid for compatibility/core desktop GL) |

Since: 1.8

## See Also

GstGLSLStage, GstGLShader